Bug 2171203 - [abrt] gnome-control-center: GTK_IS_PICTURE(): gnome-control-center killed by SIGSEGV
Summary: [abrt] gnome-control-center: GTK_IS_PICTURE(): gnome-control-center killed by...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-control-center
Version: 38
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: GNOME SIG Unassigned
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:41438b0b71a2a7299a3f596577f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-02-19 01:16 UTC by Luya Tshimbalanga
Modified: 2024-05-21 14:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-05-21 14:28:18 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: proc_pid_status (1.40 KB, text/plain)
2023-02-19 01:16 UTC, Luya Tshimbalanga
no flags Details
File: maps (3.98 KB, text/plain)
2023-02-19 01:16 UTC, Luya Tshimbalanga
no flags Details
File: limits (1.29 KB, text/plain)
2023-02-19 01:16 UTC, Luya Tshimbalanga
no flags Details
File: environ (1.99 KB, text/plain)
2023-02-19 01:16 UTC, Luya Tshimbalanga
no flags Details
File: open_fds (3.78 KB, text/plain)
2023-02-19 01:16 UTC, Luya Tshimbalanga
no flags Details
File: mountinfo (3.69 KB, text/plain)
2023-02-19 01:16 UTC, Luya Tshimbalanga
no flags Details
File: os_info (706 bytes, text/plain)
2023-02-19 01:16 UTC, Luya Tshimbalanga
no flags Details
File: cpuinfo (2.96 KB, text/plain)
2023-02-19 01:16 UTC, Luya Tshimbalanga
no flags Details
File: core_backtrace (52.90 KB, text/plain)
2023-02-19 01:16 UTC, Luya Tshimbalanga
no flags Details
File: exploitable (81 bytes, text/plain)
2023-02-19 01:16 UTC, Luya Tshimbalanga
no flags Details
File: dso_list (184 bytes, text/plain)
2023-02-19 01:16 UTC, Luya Tshimbalanga
no flags Details
File: backtrace (126.52 KB, text/plain)
2023-02-19 01:16 UTC, Luya Tshimbalanga
no flags Details
File: backtrace (171.24 KB, text/plain)
2023-03-08 01:31 UTC, Luya Tshimbalanga
no flags Details
File: backtrace (180.32 KB, text/plain)
2023-03-14 08:19 UTC, Jan Iversen
no flags Details
File: backtrace (148.75 KB, text/plain)
2023-03-14 08:21 UTC, Jan Iversen
no flags Details

Description Luya Tshimbalanga 2023-02-19 01:16:05 UTC
Description of problem:
Settings randomly crashed when left idle

Version-Release number of selected component:
gnome-control-center-44~beta-2.fc38

Additional info:
reporter:       libreport-2.17.6
type:           CCpp
reason:         gnome-control-center killed by SIGSEGV
journald_cursor: s=e81701c20d6a4afc932b64180bfce799;i=51e8c;b=75cff40784fa43b5a54b89e625523b5b;m=fc0cd7c3;t=5f50342c184ab;x=4f7a64f036d77294
executable:     /usr/bin/gnome-control-center
cmdline:        /usr/bin/gnome-control-center
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-gnome-org.gnome.Settings-5146.scope
rootdir:        /
uid:            1000
kernel:         6.2.0-0.rc8.57.fc38.x86_64
package:        gnome-control-center-44~beta-2.fc38
runlevel:       N 5
backtrace_rating: 4
crash_function: GTK_IS_PICTURE
comment:        Settings randomly crashed when left idle

Truncated backtrace:
Thread no. 1 (16 frames)
 #0 GTK_IS_PICTURE at ../gtk/gtkpicture.h:37
 #1 gtk_picture_set_filename at ../gtk/gtkpicture.c:718
 #3 signal_emit_unlocked_R.isra.0 at ../gobject/gsignal.c:3802
 #7 g_object_notify_by_spec_internal at ../gobject/gobject.c:1552
 #8 g_object_notify_by_pspec at ../gobject/gobject.c:1658
 #10 signal_emit_unlocked_R.isra.0 at ../gobject/gsignal.c:3802
 #14 g_object_notify_by_spec_internal at ../gobject/gobject.c:1552
 #15 g_object_notify_by_pspec at ../gobject/gobject.c:1658
 #16 set_high_contrast at ../src/adw-settings.c:93
 #18 settings_portal_changed_cb at ../src/adw-settings.c:278
 #20 signal_emit_unlocked_R.isra.0 at ../gobject/gsignal.c:3802
 #23 on_signal_received at ../gio/gdbusproxy.c:890
 #24 emit_signal_instance_in_idle_cb at ../gio/gdbusconnection.c:3792
 #28 g_main_context_iterate.isra.0 at ../glib/gmain.c:4276
 #29 g_main_context_iteration at ../glib/gmain.c:4343
 #30 g_application_run at ../gio/gapplication.c:2573


Potential duplicate: bug {crossver_id}

Comment 1 Luya Tshimbalanga 2023-02-19 01:16:08 UTC
Created attachment 1945019 [details]
File: proc_pid_status

Comment 2 Luya Tshimbalanga 2023-02-19 01:16:09 UTC
Created attachment 1945020 [details]
File: maps

Comment 3 Luya Tshimbalanga 2023-02-19 01:16:10 UTC
Created attachment 1945021 [details]
File: limits

Comment 4 Luya Tshimbalanga 2023-02-19 01:16:12 UTC
Created attachment 1945022 [details]
File: environ

Comment 5 Luya Tshimbalanga 2023-02-19 01:16:13 UTC
Created attachment 1945023 [details]
File: open_fds

Comment 6 Luya Tshimbalanga 2023-02-19 01:16:14 UTC
Created attachment 1945024 [details]
File: mountinfo

Comment 7 Luya Tshimbalanga 2023-02-19 01:16:16 UTC
Created attachment 1945025 [details]
File: os_info

Comment 8 Luya Tshimbalanga 2023-02-19 01:16:17 UTC
Created attachment 1945026 [details]
File: cpuinfo

Comment 9 Luya Tshimbalanga 2023-02-19 01:16:19 UTC
Created attachment 1945027 [details]
File: core_backtrace

Comment 10 Luya Tshimbalanga 2023-02-19 01:16:21 UTC
Created attachment 1945028 [details]
File: exploitable

Comment 11 Luya Tshimbalanga 2023-02-19 01:16:22 UTC
Created attachment 1945029 [details]
File: dso_list

Comment 12 Luya Tshimbalanga 2023-02-19 01:16:23 UTC
Created attachment 1945030 [details]
File: backtrace

Comment 13 Luya Tshimbalanga 2023-03-08 01:31:37 UTC
Crash occurred after selecting Photos for Appearence Settings and switching to Dark Mode


reporter:       libreport-2.17.8
type:           CCpp
reason:         gnome-control-center killed by SIGSEGV
journald_cursor: s=e81701c20d6a4afc932b64180bfce799;i=af5be;b=57a88d0ff2424264826e071af9cd14d2;m=23b1cfae;t=5f6594c2b2321;x=685fd36c78586b6
executable:     /usr/bin/gnome-control-center
cmdline:        /usr/bin/gnome-control-center
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-gnome-org.gnome.Settings-3322.scope
rootdir:        /
uid:            1000
kernel:         6.2.2-300.fc38.x86_64
package:        gnome-control-center-44~beta-3.fc38
runlevel:       N 5
dso_list:       /usr/bin/gnome-control-center gnome-control-center-44~beta-3.fc38.x86_64 (Fedora Project) 1677750115
backtrace_rating: 4
crash_function: GTK_IS_PICTURE
comment:        Crash occurred after selecting Photos for Appearence Settings and switching to Dark Mode

Comment 14 Luya Tshimbalanga 2023-03-08 01:31:40 UTC
Created attachment 1948898 [details]
File: backtrace

Comment 15 Jan Iversen 2023-03-14 08:19:00 UTC
* open gnome settings -> about system
* leave system settings open
* use change wallpaper on the desktop
* change to another wallpaper
* switch with the tray between dark and light theme --> repeat this some more times
* system settings crashes


reporter:       libreport-2.17.8
type:           CCpp
reason:         gnome-control-center killed by SIGSEGV
journald_cursor: s=b0438892883842c6b423cf0ad08f63e1;i=201d;b=cd65d97ef81840ca9a7ae77c80e8fff6;m=11f125c6;t=5f6d79e3c5ece;x=d5afe3b8887162dd
executable:     /usr/bin/gnome-control-center
cmdline:        /usr/bin/gnome-control-center
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-gnome-org.gnome.Settings-2930.scope
rootdir:        /
uid:            1000
kernel:         6.2.5-300.fc38.x86_64
package:        gnome-control-center-44~rc-1.fc38
runlevel:       N 5
backtrace_rating: 4
crash_function: GTK_IS_PICTURE

Comment 16 Jan Iversen 2023-03-14 08:19:02 UTC
Created attachment 1950478 [details]
File: backtrace

Comment 17 Jan Iversen 2023-03-14 08:21:25 UTC
* open gnome settings -> about system
* leave system settings open
* use change wallpaper on the desktop
* change to another wallpaper
* switch with the tray between dark and light theme --> repeat this some more times
* system settings crashes


reporter:       libreport-2.17.8
type:           CCpp
reason:         gnome-control-center killed by SIGSEGV
journald_cursor: s=b0438892883842c6b423cf0ad08f63e1;i=201d;b=cd65d97ef81840ca9a7ae77c80e8fff6;m=11f125c6;t=5f6d79e3c5ece;x=d5afe3b8887162dd
executable:     /usr/bin/gnome-control-center
cmdline:        /usr/bin/gnome-control-center
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-gnome-org.gnome.Settings-2930.scope
rootdir:        /
uid:            1000
kernel:         6.2.5-300.fc38.x86_64
package:        gnome-control-center-44~rc-1.fc38
runlevel:       N 5
backtrace_rating: 4
crash_function: GTK_IS_PICTURE

Comment 18 Jan Iversen 2023-03-14 08:21:27 UTC
Created attachment 1950479 [details]
File: backtrace

Comment 19 Merayo 2023-03-30 21:23:48 UTC
Hello

the problem became after this install

$ dnf copr enable zirix/gdm-wallpaper 
$ dnf install gdm-wallpaper
$ set-gdm-wallpaper /path/to/image.png

and after reboot

Thanks


reporter:       libreport-2.17.9
type:           CCpp
reason:         gnome-control-center killed by SIGSEGV
journald_cursor: s=5b673dcaa3b44ebb9eab1f041acb3c5f;i=5228;b=7259da3693df4adf8baaedd8c4a00070;m=66f7c6f;t=5f824554424a4;x=9b95d6264451f3b5
executable:     /usr/bin/gnome-control-center
cmdline:        /usr/bin/gnome-control-center background
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-gnome-gnome\x2dbackground\x2dpanel-3172.scope
rootdir:        /
uid:            1000
kernel:         6.2.8-300.fc38.x86_64
package:        gnome-control-center-44.0-1.fc38
runlevel:       N 5
backtrace_rating: 4
crash_function: GTK_IS_PICTURE

Comment 20 Alessandro 2023-04-18 14:55:04 UTC
Upgraded, opened the background settings on gnome


reporter:       libreport-2.17.9
type:           CCpp
reason:         gnome-control-center killed by SIGSEGV
journald_cursor: s=3bd19e23452a4aee8bfb0c670b9b014b;i=c2baa;b=8e01cb347fda41c2be18030d561aad0a;m=2b41d64;t=5f99d7596cc46;x=6ea6e052d90cd083
executable:     /usr/bin/gnome-control-center
cmdline:        /usr/bin/gnome-control-center display
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-gnome-gnome\x2ddisplay\x2dpanel-3256.scope
rootdir:        /
uid:            1000
kernel:         6.2.11-300.fc38.x86_64
package:        gnome-control-center-44.0-1.fc38
runlevel:       N 5
backtrace_rating: 4
crash_function: GTK_IS_PICTURE
comment:        Upgraded, opened the background settings on gnome

Comment 21 redhat.5exll 2023-04-20 05:07:48 UTC
Fresh Fedora install. 
I added the RPM fusion repositories and installed the "akmod-nvidia" drivers. Then I rebooted. 
After that, the settings application crashed more than once while clicking through it some options.
I was trying to figure out why it was displaying a third display (when I only have two). 
I was debugging the display settings (changing display orientation, main monitor, monitor refresh rates).


reporter:       libreport-2.17.9
type:           CCpp
reason:         gnome-control-center killed by SIGSEGV
journald_cursor: s=c45d69c2621e4e338dd8848cfa8712b2;i=2b77;b=0b69d556416f43cdbaa39b35782413bf;m=c159083;t=5f9bd6636666c;x=eb8421c382631d7f
executable:     /usr/bin/gnome-control-center
cmdline:        /usr/bin/gnome-control-center
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-gnome-org.gnome.Settings-4332.scope
rootdir:        /
uid:            1000
kernel:         6.2.11-300.fc38.x86_64
package:        gnome-control-center-44.0-1.fc38
runlevel:       N 5
backtrace_rating: 4
crash_function: GTK_IS_PICTURE

Comment 22 Benjamin Hiebert 2023-04-23 19:17:53 UTC
GNOME Settings crashes after changing to dark mode on fresh Fedora 38 install.

Steps to reproduce:
	1. Open GNOME Settings
	2. Go to "Appearance"
	3. Select "Dark"

As far as what I can see it only happens after a fresh install, after relaunching GNOME Settings and changing between light/dark it no longer crashes.


reporter:       libreport-2.17.9
type:           CCpp
reason:         gnome-control-center killed by SIGSEGV
journald_cursor: s=277e05b6e67e4d5ca33bca24e1356daa;i=34e9;b=0be9b2f9d006405ba3d2b41327808347;m=78de995;t=5fa057a355305;x=8ef631441fd1d1fc
executable:     /usr/bin/gnome-control-center
cmdline:        /usr/bin/gnome-control-center
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-gnome-org.gnome.Settings-3587.scope
rootdir:        /
uid:            1000
kernel:         6.2.11-300.fc38.x86_64
package:        gnome-control-center-44.0-1.fc38
runlevel:       N 5
dso_list:       /usr/bin/gnome-control-center gnome-control-center-44.0-1.fc38.x86_64 (Fedora Project) 1681422439
backtrace_rating: 4
crash_function: GTK_IS_PICTURE

Comment 23 nyadiia 2023-04-25 04:03:43 UTC
I changed the theme from light to dark mode in the apperance tab


reporter:       libreport-2.17.9
type:           CCpp
reason:         gnome-control-center killed by SIGSEGV
journald_cursor: s=db687f75b6334eac856ba9422f762b17;i=1199;b=1c3fef05b7994b8292b53ca5c5d2f78f;m=1ca12a08;t=5fa21198fca34;x=a569d2f6ec19481f
executable:     /usr/bin/gnome-control-center
cmdline:        /usr/bin/gnome-control-center
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-gnome-org.gnome.Settings-3788.scope
rootdir:        /
uid:            1000
kernel:         6.2.9-300.fc38.x86_64
package:        gnome-control-center-44.0-1.fc38
runlevel:       N 5
backtrace_rating: 4
crash_function: GTK_IS_PICTURE
comment:        I changed the theme from light to dark mode in the apperance tab

Comment 24 Hoshyar Karimi 2023-05-10 07:08:03 UTC
happened when I changed dark theme to light theme from the power menu top right of desktop


reporter:       libreport-2.17.9
type:           CCpp
reason:         gnome-control-center killed by SIGSEGV
journald_cursor: s=c6535622b1bd4a9ea472f19395d9f099;i=469f;b=11791a39d5a241e2a69452572cc0a885;m=171e76a8;t=5fb514df487f3;x=28ccec478c56d5d2
executable:     /usr/bin/gnome-control-center
cmdline:        /usr/bin/gnome-control-center
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-gnome-org.gnome.Settings-4669.scope
rootdir:        /
uid:            1000
kernel:         6.2.14-300.fc38.x86_64
package:        gnome-control-center-44.1-1.fc38
runlevel:       N 5
backtrace_rating: 4
crash_function: GTK_IS_PICTURE
comment:        happened when I changed dark theme to light theme from the power menu top right of desktop

Comment 25 Luya Tshimbalanga 2023-05-24 15:50:45 UTC
Crash occurred after resuming a laptop


reporter:       libreport-2.17.10
type:           CCpp
reason:         gnome-control-center killed by SIGSEGV
journald_cursor: s=6f9cb9f249264438bcd174bc6825cd53;i=224f0b;b=2db673a72b0a4d409466dafd82f89f22;m=29bcd02d7;t=5fc71eb2cffae;x=1ee1b1b60bf17a6b
executable:     /usr/bin/gnome-control-center
cmdline:        /usr/bin/gnome-control-center
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-gnome-org.gnome.Settings-3916.scope
rootdir:        /
uid:            1000
kernel:         6.3.3-200.fc38.x86_64
package:        gnome-control-center-44.1-1.fc38
runlevel:       N 5
backtrace_rating: 4
crash_function: GTK_IS_PICTURE
comment:        Crash occurred after resuming a laptop

Comment 26 mailtoshameempk 2023-06-03 11:12:51 UTC
Changed from Dark to Default style in Appearance.

Output of: `gsettings get org.gnome.shell enabled-extensions`
['GPaste.org', 'gsconnect.io', 'caffeine', 'audio-output-switcher@anduchs', 'appindicatorsupport.com', 'audio-selector.gmail.com', 'dock-from-dash@fthx']


reporter:       libreport-2.17.10
rootdir:        /
crash_function: GTK_IS_PICTURE
kernel:         6.3.4-201.fc38.x86_64
type:           CCpp
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-gnome-gnome\x2dbackground\x2dpanel-4423.scope
uid:            1000
runlevel:       N 5
journald_cursor: s=2871c8fb684345d88bc7c626e29abcff;i=343a1;b=4da80168b16843e19a07680d3dd9b6a0;m=e512403;t=5fd37864bf4d7;x=86875b482fdc1566
executable:     /usr/bin/gnome-control-center
cmdline:        /usr/bin/gnome-control-center background
reason:         gnome-control-center killed by SIGSEGV
package:        gnome-control-center-44.2-1.fc38
backtrace_rating: 4

Comment 27 Kolja Lampe 2023-06-23 10:01:31 UTC
Changing dark mode/light mode


reporter:       libreport-2.17.10
type:           CCpp
reason:         gnome-control-center killed by SIGSEGV
journald_cursor: s=1039dbfa70d8453390c5ff97c47dbfb2;i=55b9c0;b=d499f0ff748b4be7a73ccceed7e84c13;m=17d9dbd0d;t=5fec8e982537a;x=52f248dcbda6748
executable:     /usr/bin/gnome-control-center
cmdline:        /usr/bin/gnome-control-center
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-gnome-org.gnome.Settings-47904.scope
rootdir:        /
uid:            1000
kernel:         6.3.8-200.fc38.x86_64
package:        gnome-control-center-44.2-1.fc38
runlevel:       N 5
comment:        Changing dark mode/light mode
backtrace_rating: 4
crash_function: GTK_IS_PICTURE

Comment 28 Ellienore Bradley 2023-06-28 17:46:24 UTC
I opened Settings (gnome-control-center) and when clicking on "Appearance" it crashed.


reporter:       libreport-2.17.9
type:           CCpp
reason:         gnome-control-center killed by SIGSEGV
journald_cursor: s=d7fe2531c8a8449e9a9e1cd5b321189f;i=b18;b=03df33f32a8d41e587aa28f0abbb9c81;m=2f7db5e4;t=5ff3412f61ffa;x=1748c86068ea24b6
executable:     /usr/bin/gnome-control-center
cmdline:        /usr/bin/gnome-control-center
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-gnome-org.gnome.Settings-3571.scope
rootdir:        /
uid:            1000
kernel:         6.2.9-300.fc38.x86_64
package:        gnome-control-center-44.0-1.fc38
runlevel:       N 5
backtrace_rating: 4
crash_function: GTK_IS_PICTURE
comment:        I opened Settings (gnome-control-center) and when clicking on "Appearance" it crashed.

Comment 29 Ezra Tucker 2023-07-20 13:49:49 UTC
I think (but can't be 100% sure) when I was connecting to a new wifi network that required an enterprise login but no CA certificate.


reporter:       libreport-2.17.11
type:           CCpp
reason:         gnome-control-center killed by SIGSEGV
journald_cursor: s=32c96400ece041f6b0b508615a01e070;i=6176;b=48906d64beb249428b326103f875bcd3;m=3923a532;t=600eb1407e307;x=4926efbdceb0eacf
executable:     /usr/bin/gnome-control-center
cmdline:        /usr/bin/gnome-control-center wifi
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-gnome-gnome\x2dwifi\x2dpanel-17246.scope
rootdir:        /
uid:            1000
kernel:         6.3.12-200.fc38.x86_64
package:        gnome-control-center-44.3-1.fc38
runlevel:       N 5
dso_list:       /usr/bin/gnome-control-center gnome-control-center-44.3-1.fc38.x86_64 (Fedora Project) 1689854414
backtrace_rating: 4
crash_function: GTK_IS_PICTURE
comment:        I think (but can't be 100% sure) when I was connecting to a new wifi network that required an enterprise login but no CA certificate.

Comment 30 Virchenko Aleksandr 2023-07-22 06:22:05 UTC
Happened while switching from a light theme to a dark one.


reporter:       libreport-2.17.11
type:           CCpp
reason:         gnome-control-center killed by SIGSEGV
journald_cursor: s=7d582cdc08ba453baf8aae013dec1a3f;i=f7ba;b=f08d2a2ac2614a4ba5ca25b89ad8bd6f;m=5331ae99;t=6010d532874df;x=e9d034d289d63d9a
executable:     /usr/bin/gnome-control-center
cmdline:        /usr/bin/gnome-control-center
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-gnome-org.gnome.Settings-9567.scope
rootdir:        /
uid:            1000
kernel:         6.3.12-200.fc38.x86_64
package:        gnome-control-center-44.3-1.fc38
runlevel:       N 5
backtrace_rating: 4
crash_function: GTK_IS_PICTURE
comment:        Happened while switching from a light theme to a dark one.

Comment 31 EmanueleC 2023-08-18 11:35:54 UTC
I was using a web browser (edge flatpak) and bluetooth died in the background.  

I have a logitech universal adaptor and a bolt receiver connected to connect my kyb and mouse.  
My bluetooth headphones (Bose45) were not connected when the error occured.  That is the only device paired with the machine.


reporter:       libreport-2.17.11
type:           CCpp
reason:         gnome-control-center killed by SIGSEGV
journald_cursor: s=97b3297669c144ad961c48fe9cf1877a;i=6cca9;b=a544493dd2fb449fb93831f50c53aeca;m=1e4f0ae9b;t=60322dc9415c0;x=722725e5e9ad0f7b
executable:     /usr/bin/gnome-control-center
cmdline:        /usr/bin/gnome-control-center bluetooth
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-gnome-gnome\x2dbluetooth\x2dpanel-8606.scope
rootdir:        /
uid:            1000
kernel:         6.4.10-200.fc38.x86_64
package:        gnome-control-center-44.3-1.fc38
runlevel:       N 5
dso_list:       /usr/bin/gnome-control-center gnome-control-center-44.3-1.fc38.x86_64 (Fedora Project) 1691707931
backtrace_rating: 4
crash_function: GTK_IS_PICTURE

Comment 32 Joel R. Gomez 2023-10-06 00:59:22 UTC
Simply trying to open the "Appearance" sub-menu from the Settings.


reporter:       libreport-2.17.11
type:           CCpp
reason:         gnome-control-center killed by SIGSEGV
journald_cursor: s=0759905eaef14fdf846cb6d07e770aac;i=464e;b=d00e48a56ffe42aab98c4fe47b34dd06;m=1081896c;t=607019a5d8c4b;x=c5a859c40bdd7f41
executable:     /usr/bin/gnome-control-center
cmdline:        /usr/bin/gnome-control-center display
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-gnome-gnome\x2ddisplay\x2dpanel-3186.scope
rootdir:        /
uid:            1000
kernel:         6.5.5-200.fc38.x86_64
package:        gnome-control-center-44.3-1.fc38
runlevel:       N 5
backtrace_rating: 4
crash_function: GTK_IS_PICTURE
comment:        Simply trying to open the "Appearance" sub-menu from the Settings.

Comment 33 michael.franke 2023-10-28 20:12:03 UTC
Nach der installation von Themes via DNF install wurde ein Theme und ein Icon Set von Adwiata auf Flat-Remix-Blue-Dark geändert, dabei ist die Anwendung abgestürzt.


reporter:       libreport-2.17.11
executable:     /usr/bin/gnome-control-center
kernel:         6.5.8-200.fc38.x86_64
cmdline:        /usr/bin/gnome-control-center background
type:           CCpp
rootdir:        /
uid:            1000
package:        gnome-control-center-44.3-1.fc38
crash_function: GTK_IS_PICTURE
comment:        Nach der installation von Themes via DNF install wurde ein Theme und ein Icon Set von Adwiata auf Flat-Remix-Blue-Dark geändert, dabei ist die Anwendung abgestürzt.
runlevel:       N 5
reason:         gnome-control-center killed by SIGSEGV
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-gnome-gnome\x2dbackground\x2dpanel-3720.scope
journald_cursor: s=80adad7a5e014d019483f9ce7e1b78d9;i=7c7e;b=4b83109b74bf4b028794639b6699f229;m=4a0fced;t=608c60d2c41de;x=909f9f0bd9b21144

Comment 34 Aoife Moloney 2024-05-07 15:57:31 UTC
This message is a reminder that Fedora Linux 38 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 38 on 2024-05-21.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '38'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version. Note that the version field may be hidden.
Click the "Show advanced fields" button if you do not see it.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 38 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 35 Fedora Admin user for bugzilla script actions 2024-05-07 15:57:36 UTC
This component is maintained by the GNOME project. Issues with it should be reported directly to GNOME at https://gitlab.gnome.org/GNOME/.

This issue should only be kept open if it:

1. Relates to Fedora packaging or integration with other Fedora components
2. Is required for Fedora release processes, such as blocker bugs and freeze exceptions

If this issue isn't needed for either of these two reasons, please:

 * create an issue with GNOME
 * add a link to the GNOME issue here
 * close this issue as CLOSED/UPSTREAM

Thank you!

Comment 36 Aoife Moloney 2024-05-21 14:28:18 UTC
Fedora Linux 38 entered end-of-life (EOL) status on 2024-05-21.

Fedora Linux 38 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora Linux
please feel free to reopen this bug against that version. Note that the version
field may be hidden. Click the "Show advanced fields" button if you do not see
the version field.

If you are unable to reopen this bug, please file a new report against an
active release.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.